Name:           octave_gsl
Version:	1.0.0
Release:	1%{?distsuffix}
Summary:	GNU Scientific Library.
Group:		Applications/Engineering
License:	GPL version 2 or later
URL:		http://octave.sourceforge.net
Source0:	http://downloads.sourceforge.net/octave/gsl-1.0.0.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

## Package installs in a directory tree specific to the installed
## version of octave, so the following version dependency is necessary.
%define octave_ep  %(rpm -q --qf '%%{epoch}' octave)
%define octave_ver %(rpm -q --qf '%%{version}' octave)

Requires:	octave = %{octave_ep}:%{octave_ver}

BuildRequires:	octave >= 2.9.7
BuildRequires:	gcc-c++ gcc-gfortran libstdc++-devel
BuildRequires:	libstdc++-devel 
BuildRequires:  %(rpm -q --qf '%%{name}' %(rpm -q -f `which mkoctfile`))
BuildRequires: gsl-devel

%define octave octave-%{octave_ver}

%description
Octave bindings to the GNU Scientific Library

%prep
%setup -q -n gsl-1.0.0

%build
%configure
make TMPDIR=%{_tmppath} DESTDIR=%{buildroot} DISTPKG=%{distversion}

%install
rm -rf %{buildroot}
make install TMPDIR=%{_tmppath} DESTDIR=%{buildroot} DISTPKG=%{distversion}

%clean
rm -rf %{buildroot}

%post
%{_datadir}/octave/packages/gsl-1.0.0/packinfo/dist_admin install

%preun
%{_datadir}/octave/packages/gsl-1.0.0/packinfo/dist_admin uninstall

%postun
%{octave} -q -H --no-site-file --eval "pkg('rebuild');"

%files
%defattr(-,root,root)
%{_datadir}/octave/packages/*

%changelog
# Changelog for packages rebuilt on stable releases (leave it first):
%{!?_with_unstable:* %(LC_ALL=C date +"%a %b %d %Y") %{packager} %{version}-%{release}}
%{!?_with_unstable: - rebuild of %{version}-%{rel}%{?distsuffix} for %{distversion}}

* Mon Jun 4 2007 Teemu Ikonen   <tpikonen@pcu.helsinki.fi> 1.0.0-1%{?distsuffix}
- Automatically created from octave-forge package
